Package org.eclipse.cdt.core.index

# Class IndexerSetupParticipant

java.lang.Object
org.eclipse.cdt.core.index.IndexerSetupParticipant

public abstract class IndexerSetupParticipant extends Object
Abstract base class for indexer setup participants. A participant can delay the setup of the indexer when a project is added to the workspace.

## Constructor Summary

Constructors
Constructor
Description
`IndexerSetupParticipant()`

## Method Summary

Modifier and Type
Method
Description
`final void`
`notifyIndexerSetup(ICProject project)`
Informs the index manager that this participant no longer needs to postpone the indexer setup for the given project.
`void`
`onIndexerSetup(ICProject project)`
Call-back that tells the implementor that a project has passed all setup participants and therefore it is actually initialized.
`boolean`
`postponeIndexerSetup(ICProject project)`
The method will be called before an indexer is set up for a project.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IndexerSetupParticipant

public IndexerSetupParticipant()

## Method Details

### postponeIndexerSetup

public boolean postponeIndexerSetup(ICProject project)
The method will be called before an indexer is set up for a project. If you return `true` the setup will be postponed. You need to call `notifyIndexerSetup(ICProject)` as soon as this participant no longer needs to block the indexer setup.

This method may be called multiple times for the same project.

Parameters:
  `project` - the project for which the indexer is supposed to be initialized.
Returns:
  whether or not to proceed with the indexer setup.

### notifyIndexerSetup

public final void notifyIndexerSetup(ICProject project)
Informs the index manager that this participant no longer needs to postpone the indexer setup for the given project. Depending on the state of other participants this may trigger the indexer setup.

Parameters:
  `project` - the project for which the setup no longer needs to be postponed

### onIndexerSetup

public void onIndexerSetup(ICProject project)
Call-back that tells the implementor that a project has passed all setup participants and therefore it is actually initialized.